# pkgin – Package manager for SmartOS, NetBSD, et al

- Synopsis

- Parameters

- Notes

- Examples

- Status

## Synopsis

- The standard package manager for SmartOS, but also usable on NetBSD or any OS that uses `pkgsrc`. (Home: http://pkgin.net/)

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

clean
boolean

Choices:
- no ←
- yes

Clean packages cache

force
boolean

Choices:
- no ←
- yes

Force package reinstall

full_upgrade
boolean

Choices:
- no ←
- yes

Upgrade all packages to their newer versions

name - |  | Name of package to install/remove; multiple names may be given, separated by commas

state
-

Choices:
- present ←
- absent

Intended state of the package

update_cache
boolean

Choices:
- no ←
- yes

Update repository database. Can be run with other steps or on it's own.

upgrade
boolean

Choices:
- no ←
- yes

Upgrade main packages to their newer versions

## Notes

Note

- Known bug with pkgin < 0.8.0: if a package is removed and another package depends on it, the other package will be silently removed as well. New to Ansible 1.9: check-mode support.

## Examples

    # install package foo
    - pkgin:
        name: foo
        state: present

    # Update database and install "foo" package
    - pkgin:
        name: foo
        update_cache: yes

    # remove package foo
    - pkgin:
        name: foo
        state: absent

    # remove packages foo and bar
    - pkgin:
        name: foo,bar
        state: absent

    # Update repositories as a separate step
    - pkgin:
        update_cache: yes

    # Upgrade main packages (equivalent to C(pkgin upgrade))
    - pkgin:
        upgrade: yes

    # Upgrade all packages (equivalent to C(pkgin full-upgrade))
    - pkgin:
        full_upgrade: yes

    # Force-upgrade all packages (equivalent to C(pkgin -F full-upgrade))
    - pkgin:
        full_upgrade: yes
        force: yes

    # clean packages cache (equivalent to C(pkgin clean))
    - pkgin:
        clean: yes

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Larry Gilbert (@L2G)

- Shaun Zinck (@szinck)

- Jasper Lievisse Adriaanse (@jasperla)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.